## python-requests 2.4.4

=== Makefile ===
init:
	pip install -r requirements.txt

ci: init
	py.test --junitxml=junit.xml

certs:
	curl http://ci.kennethreitz.org/job/ca-bundle/lastSuccessfulBuild/artifact/cacerts.pem -o requests/cacert.pem

deps: urllib3 charade

urllib3:
	rm -fr requests/packages/urllib3
	git clone https://github.com/shazow/urllib3.git
	mv urllib3/urllib3 requests/packages/
	rm -fr urllib3

charade:
	rm -fr requests/packages/charade
	git clone https://github.com/sigmavirus24/charade.git
	mv charade/charade requests/packages/
	rm -fr charade

## python-requests 2.0.2

=== debian/changelog ===
python-requests (2.0.2) unstable; urgency=low

  * add debian 

 -- Shuai Fu <shuai01.fu@samsung.com> Wed, 09 Jul 2014 10:09:30 +0800

=== debian/control ===
Source:  python-requests
Section: devel
Priority: extra
Maintainer: Jian-feng Ding <jian-feng.ding@intel.com>
Build-Depends: debhelper (>= 7.0.15), cdbs, python-dev, python-support, python-docutils, python, python-setuptools
Standards-Version: 2.0.2
Homepage: http://www.tizen.org

Package:  python-requests
Architecture: all
Depends:  ${python:Depends},
 rpm,
 python,
 cpio,
 bzip2,
 gzip
Description: image creator for Linux distributions
  The tool createrep is used to ppfarm test

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	python setup.py build
clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Installing package
	mkdir -p $(CURDIR)/debian/tmp
	python setup.py install --prefix=/usr --root=$(CURDIR)/debian/tmp
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_pysupport
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## python-requests 2.4.4

=== debian/changelog ===
python-requests (2.4.4) unstable; urgency=low

  * update the urllib3 code of 3rd party
  * remove build dependence with python-support

 -- Biao Wang <biao716.wang@samsung.com> Tue, 12 Oct 2021 09:40:30 +0800

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: extra
 Maintainer: Jian-feng Ding <jian-feng.ding@intel.com>
-Build-Depends: debhelper (>= 7.0.15), cdbs, python-dev, python-support, python-docutils, python, python-setuptools
-Standards-Version: 2.0.2
+Build-Depends: debhelper (>= 7.0.15), cdbs, python-dev|python2-dev, dh-python, python-docutils, python|python2, python-setuptools
+Standards-Version: 2.4.4
 Homepage: http://www.tizen.org
 
 Package:  python-requests
